/* generated javascript */
var skin = 'monobook';
var stylepath = '/skins-1.5';

/* MediaWiki:Common.js */
//<source lang=javascript>

//import module, from en.wp
importedScripts = {} 
function importScript(page, lang) {
 var url = wgScript + '?title=' + encodeURIComponent(page.replace(' ','_'))
 if (lang) url = 'http://'+ lang+'.wikipedia.org' + url
 if (importedScripts[url]) return
 importedScripts[url] = true
 var s = document.createElement('script')
 s.type = 'text/javascript'
 s.src = url + '&action=raw&ctype=text/javascript'
 document.getElementsByTagName('head')[0].appendChild(s)
}


//hasClass, from en.wp
var hasClass = (function (){
 var reCache = {}
 return function (element, className){
     return (reCache[className] ? reCache[className] : (reCache[className] = new RegExp("(?:\\s|^)" + className + "(?:\\s|$)"))).test(element.className);
  }
})()


function addLoadEvent(f) {addOnloadHook(f)} //for backwards compatibility


//fix for IE6 horizontal scroll bug
if (window.showModalDialog && document.compatMode && document.compatMode == 'CSS1Compat'){
 var oldWidth, docEl = document.documentElement
 function fixIEScroll(){
   if (!oldWidth || docEl.clientWidth > oldWidth)
     doFixIEScroll()
   else
     setTimeout(doFixIEScroll, 1)
   oldWidth = docEl.clientWidth
 }
 function doFixIEScroll() {
   docEl.style.overflowX = (docEl.scrollWidth - docEl.clientWidth < 4) ? 'hidden' : ''
 }
 document.attachEvent('onreadystatechange', fixIEScroll)
 attachEvent('onresize', fixIEScroll)
}

//fix for sortable tables: , as decimal dot, by [[:sv:Användare:Skagedal]]
function ts_parseFloat(num){
 if (!num) return 0
 num = num.replace(/\./g, '').replace(/,/, '.')
 num = parseFloat(num)
 return (isNaN(num) ? 0 : num)
}



//{Link FA}: interwiki to featured articles, from en.wp
function LinkFA(){
 var pLang = document.getElementById('p-lang')
 if (!pLang) return
 var iw = pLang.getElementsByTagName('li')
 for (var i=0; i < iw.length; i++)
   if (document.getElementById(iw[i].className+'-fa')){
     iw[i].className += ' FA'
     iw[i].title = 'Эта статья является избранной в другом языковом разделе.'
   }
}


//{ICQ}
function icqIcons(){
 var a, spans = document.getElementsByTagName('span')
 for (var i=0; a = spans[i]; i++)
   if (a.className == 'ICQ') {
     a.style.padding = '0 0 0 20px'
     a.style.backgroundImage = "url('http://status.icq.com/online.gif?icq="+a.id+"&img=5&randseed="+Math.floor(Math.random()*10000000)+"')"
     a.style.backgroundRepeat = 'no-repeat'
   }
}


//{Modifynewsectionlink}
function newSectionLink(){
 var plus = document.getElementById('ca-addsection')
 if (!plus) return
 var custom = document.getElementById('add-custom-section')
 if (!custom) return
 plus.firstChild.setAttribute('href', custom.getElementsByTagName('A')[0].href)
}


//{Неверный заголовок} by SergV 
function correctTitle(){
 if (window.disableRealTitle) return
 var toHide = document.getElementById('trestrictions_replace')
 if (!toHide) return
 var newTitle = document.getElementById('trestrictions_correct')
 if (!newTitle) return
 document.getElementsByTagName('h1')[0].innerHTML  = newTitle.innerHTML
 toHide.style.display = 'none'
 document.getElementById('trestrictions_replaced').style.display = 'block'
}


//[edit] for zero section: function finds first [edit] and duplicates it; Monobook-like skins only
function editZeroSection(){
 var body = document.getElementById('bodyContent')
 if (!body || window.disable_zero_section) return
 var h2s = body.getElementsByTagName('H2')
 var h2 = h2s[0]
 if (!h2) return
 if (h2.parentNode.id == 'toctitle') h2 = h2s[1]
 if (!h2) return
 var span = h2.firstChild
 if (!span || span.className != 'editsection') return
 var zero = span.cloneNode(true)
 body.insertBefore(zero, body.firstChild)
 var a = zero.getElementsByTagName('a')[0]
 a.title = a.title.replace(/:.*$/,': 0')
 a.setAttribute('href', a.href.replace(/&section=1/,'&section=0'))
}


//Mainpage: tab  «статья» -> «заглавная» 
function mainPageTab(){
 if (wgArticleId == 4401 || wgArticleId == 23){
  var nstab = document.getElementById('ca-nstab-main')
  if (!nstab || wgUserLanguage != 'ru') return //other skins
  var a = nstab.firstChild
  if (a.textContent) a.textContent = 'Заглавная'
  else a.innerText = 'Заглавная'
 }
}



//Collapsible tables, [[:en:Wikipedia:Collapsible tables]]

var autoCollapse = 2
var collapseCaption = 'скрыть'
var expandCaption = 'показать'

function collapseTable (tableIndex){
 var Table = document.getElementById('collapsibleTable' + tableIndex)
 var btn = document.getElementById('collapseButton' + tableIndex)
 if (!Table || !btn) return false
 var style, Rows = Table.rows
 if (btn.firstChild.data == collapseCaption) {
   btn.firstChild.data = expandCaption
   style = 'none'
 }else{
   btn.firstChild.data = collapseCaption
   style = Rows[0].style.display
 }
 for (var i=1; i < Rows.length; i++) 
    Rows[i].style.display = style
}

function createCollapseButtons(){
 var HRow, THs, Header, btn, a
 var tableIndex = 0, NavBoxes = []
 var Tables = document.getElementsByTagName('table')
 for (var i=0; i < Tables.length; i++ ){
   if (!hasClass(Tables[i], 'collapsible')) continue
   if (!(HRow = Tables[i].rows[0])) continue
   THs = HRow.getElementsByTagName('th') 
   if (THs.length == 0) continue
   Header = THs[THs.length-1] //last TH, not 1st like in en.wp
   Tables[i].setAttribute('id', 'collapsibleTable' + tableIndex)
   btn = document.createElement('span')
   btn.style.styleFloat = 'right'
   btn.style.cssFloat = 'right'
   btn.style.fontWeight = 'normal'
   btn.style.textAlign = 'right'
   btn.style.width = '6em'
   a = document.createElement('a')
   a.id = 'collapseButton' + tableIndex
   a.href = 'javascript:collapseTable(' + tableIndex + ');' 
   a.appendChild(document.createTextNode(collapseCaption))
   btn.appendChild(document.createTextNode('['))
   btn.appendChild(a)
   btn.appendChild(document.createTextNode(']'))
   Header.insertBefore(btn, Header.childNodes[0])
   NavBoxes[tableIndex++] = Tables[i]
 }
 for (var i=0; i < tableIndex; i++)
   if (hasClass(NavBoxes[i], 'collapsed') || (tableIndex >= autoCollapse && hasClass(NavBoxes[i], 'autocollapse')))
      collapseTable(i)
}



//Collapsible divs, [[:en:Wikipedia:NavFrame]]
 
var NavigationBarHide = '[' + collapseCaption + ']'
var NavigationBarShow = '[' + expandCaption + ']'
// set up max count of Navigation Bars on page, if there are more, all will be hidden
var NavigationBarShowDefault = autoCollapse
  
// shows and hides content and picture (if available) of navigation bars
function toggleNavigationBar(indexNavigationBar)  {
 var NavToggle = document.getElementById('NavToggle' + indexNavigationBar);
 var NavFrame = document.getElementById('NavFrame' + indexNavigationBar);
 if (!NavFrame || !NavToggle) return false
 // if shown now
 if (NavToggle.firstChild.data == NavigationBarHide) {
    for (var NavChild = NavFrame.firstChild;  NavChild != null;  NavChild = NavChild.nextSibling)
      if (hasClass(NavChild, 'NavPic') || hasClass(NavChild, 'NavContent')) 
          NavChild.style.display = 'none'
    NavToggle.firstChild.data = NavigationBarShow
 // if hidden now
 } else if (NavToggle.firstChild.data == NavigationBarShow) {
     for (var NavChild = NavFrame.firstChild;  NavChild != null; NavChild = NavChild.nextSibling)
        if (hasClass(NavChild, 'NavPic') || hasClass(NavChild, 'NavContent')) 
                 NavChild.style.display = 'block'
     NavToggle.firstChild.data = NavigationBarHide
 }
}
  
// adds show/hide-button to navigation bars
function createNavigationBarToggleButton(){
 var indexNavigationBar = 0
 // iterate over all < div >-elements 
 var divs = document.getElementsByTagName('div');
 for (var i=0; NavFrame = divs[i]; i++) {
     // if found a navigation bar
     if (hasClass(NavFrame, 'NavFrame')) {
         indexNavigationBar++
         var NavToggle = document.createElement('a')
         NavToggle.className = 'NavToggle'
         NavToggle.setAttribute('id', 'NavToggle' + indexNavigationBar)
         NavToggle.setAttribute('href', 'javascript:toggleNavigationBar(' + indexNavigationBar + ');')
         var NavToggleText = document.createTextNode(NavigationBarHide)
         NavToggle.appendChild(NavToggleText)
         // Find the NavHead and attach the toggle link (Must be this complicated because Moz's firstChild handling is borked)
         for(var j=0; j < NavFrame.childNodes.length; j++)
            if (hasClass(NavFrame.childNodes[j], 'NavHead'))
                NavFrame.childNodes[j].appendChild(NavToggle)
         NavFrame.setAttribute('id', 'NavFrame' + indexNavigationBar);
     }
 }
 // if more Navigation Bars found than Default: hide all
 if (NavigationBarShowDefault < indexNavigationBar) 
   for (var i=1; i<=indexNavigationBar; i++) 
       toggleNavigationBar(i)
}



//[[Special:Search]] extended, by [[ru:User:Не А]]
function searchPage() {
 var mainNode = document.getElementsByTagName('form')
 if (!mainNode) return
 var searchValue = document.forms[0].search.value
 var safeSearchValue = searchValue.replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;')
 var firstForm = mainNode[0]
 var node = document.createElement('div')
 var googleSearch  = '<form action="http://www.google.com/custom" method="get" name="google" target="_blank" id="google">'
  +'<input type="hidden" name="hl" value="ru" />'
  +'<input type="hidden" name="domains" value="ru.wikipedia.org" />'
  +'<input type="hidden" name="q" maxlength="2048" value="' + safeSearchValue + '" />'
  +'<input type="hidden" name="sitesearch" value="ru.wikipedia.org" />'
  +'<input type="button" value="Google по Википедии" onclick="document.google.q.value = document.forms[0].search.value; this.form.submit();" style="width: 12em;" />'
  +'</form>'
 var yandexSearch  = '<form action="http://www.yandex.ru/yandsearch" method="get" name="yandex" target="_blank" id="yandex">'
  +'<input type="hidden" name="text" maxlength="300" value="' + safeSearchValue + '" />'
  +'<input type="hidden" name="site" value="ru.wikipedia.org" />'
  +'<input type="hidden" name="ras" value="1" />'
  +'<input type="hidden" name="site_manually"  value="true" />'
  +'<input type="hidden" name="server_name" value="Википедия" />'
  +'<input type="button" value="Яндекс по Википедии"  onclick="document.yandex.text.value = document.forms[0].search.value; this.form.submit();" style="width: 12em;" />'
  +'</form>'
 node.innerHTML = node.innerHTML + '<table style="margin-left: 75%;  padding-left:4px;"><tr><td>' + yandexSearch + '</td></tr><tr><td>' + googleSearch + '</td></tr></table>'
  firstForm.parentNode.insertBefore(node, firstForm.nextSibling);
}


//[[Special:Upload]]: insert {Изображение} automatically, insert {Обоснование добросовестного использования} with click
function uploadPage(){
 var desc = document.getElementById('wpUploadDescription')
 var tmpl = document.getElementById('imageinfo')
 if (tmpl && desc && !desc.value) desc.value = tmpl.innerHTML
 var span = document.getElementById('insertlink')
 if (!span) return
 var a = document.createElement('a')
 a.href = 'javascript:addRationaleTemplate()'
 span.parentNode.insertBefore(a, span)
 a.appendChild(span)
 span.style.display = 'inline'
}
function addRationaleTemplate(){
 var desc = document.getElementById('wpUploadDescription')
 var tmpl = document.getElementById('rationale')
 if (desc && tmpl && desc.value.indexOf(tmpl.innerHTML.substring(0,8)) == -1){
   desc.value += '\n' + tmpl.innerHTML
   desc.rows = 15
 }
}



//Load functions on special pages
if (wgCanonicalNamespace == 'Special'){
  if (wgCanonicalSpecialPageName == 'Upload')
    addOnloadHook(uploadPage)
  else if  (wgCanonicalSpecialPageName == 'Search')
    addOnloadHook(searchPage)

//Load functions on normal pages
}else if (wgAction != 'history'){
  addOnloadHook(editZeroSection)
  addOnloadHook(createNavigationBarToggleButton)
  addOnloadHook(createCollapseButtons)
  addOnloadHook(correctTitle)
  addOnloadHook(mainPageTab)
  document.write('<script type="text/javascript" src="http://meta.wikimedia.org/w/index.php?title=MediaWiki:Wikiminiatlas.js&action=raw&ctype=text/javascript&smaxage=21600&maxage=86400"><\/script>')
  if (wgNamespaceNumber == 0)
    addOnloadHook(LinkFA)
  else{
    addOnloadHook(icqIcons)
    addOnloadHook(newSectionLink)
  }
 if (wgAction == 'edit' || wgAction == 'submit')
   document.write('<script type="text/javascript" src="/w/index.php?title=MediaWiki:Editpage.js&action=raw&ctype=text/javascript"><\/script>')
}  



var auto_comment = 0 //to delete later

//</source>

/* MediaWiki:Monobook.js (deprecated; migrate to Common.js!) */
/* Устарело. Используйте [[MediaWiki:common.js]] */